package cn.net.caoyao.cpzshandset.service.bll.config;

import java.util.List;

import android.content.Context;
import cn.net.caoyao.cpzshandset.bean.ConfigBean;
import cn.net.caoyao.cpzshandset.db.dal.config.ConfigDal;

public class ConfigBll {
	private ConfigDal dal;
	public ConfigBll(Context context) {
		dal = new ConfigDal(context);
	}
	/**
	 * 插入设备ID到配置数据库中
	 * @param cBean
	 */
	public void insertConfig(ConfigBean cBean){
		dal.insertConfig(cBean);
	}
	/**
	 * 根据手持机模式，查询对应的配置信息
	 * @param handsetMode:手持机的版本模式（其中的插入值对应于HandsetVersionConstant类中的值），主键，不能重复
	 * @return
	 */
	public ConfigBean queryConfigByHandsetMode(int handsetMode){
		return dal.queryConfigByHandsetMode(handsetMode);
	}
	/**
	 * 查询本地存在的所有配置信息
	 * @return
	 */
	public List<ConfigBean> queryAllConfig(){
		return dal.queryAllConfig();
	}
}
